# Download a report

Download a transaction report. Download the report by applying the `report-id` from the [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) operation as a path parameter.
**Note**: Depending on the `reportId` you specified, the returned report is either a Payment operations report or a Reconciliation report.

Endpoint: GET /v1/reports/download/{report-id}
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `report-id` (string, required)
    Unique identifier for a report. Get this `report-id` from the [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) operation.

## Response 200:

  - `200` (unknown)
    Returns the JSON record of the report specified in the path parameter

## Response 200 fields (application/json):

  - `end_to_end_id` (string)
    The unique ID that the sender specifies. It persists on all RippleNet instances that participate in the payment.

  - `ripplenet_payment_id` (string)
    The unique payment identifier.
    Example: 70eccd4f-abcd-1234-a655-3aeddff19e4a

  - `quote_ts` (string)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp of the quote.

  - `created_at` (string)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp when the transaction was created.
    Example: 2022-10-02T20:57:13.606Z

  - `executed_at` (string)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp when the payment was settled.
    Example: 2022-10-02T20:57:20.62Z

  - `sender_address` (string)
    RippleNet account name and address of the sender, in the format `accountname@ripplenetaddress`.
    Example: new_york@rn.us.ny.new_york

  - `sender_customer` (string)
    The name of the sending institution.
    Example: examplecorp_sf

  - `sent_amount` (number)
    The payment amount sent.
    Example: 40

  - `sent_currency` (string)
    The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code of the of `sent_amount`.
    Example: USD

  - `withdrawal_result_amount` (number)
    **[Sender only]**
Final amount of XRP at `source_exchange` wallet to be withdrawn after `withdrawal_result_fee_amount` fees and `withdrawal_result_incentive_value` incentives have been applied.
**Note**: This value can be higher or lower than `source_result_proceeds` depending on whether the incentives were positive or negative.
    Example: 39.846668

  - `receiver_address` (string)
    RippleNet account name and address of the receiver, in the format `accountname@ripplenetaddress`.
    Example: new_york@rn.us.ny.new_york

  - `receiver_customer` (string)
    Name of the receiving institution.
    Example: sf

  - `received_amount` (number)
    The payment amount received by the beneficiary.
    Example: 39.45

  - `received_currency` (string)
    The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code of the `received_amount`.
    Example: PHP

  - `fx_spot_rate` (number)
    **[Sender only]**
The foreign exchange spot rate sourced from Refinitiv, CurrencyLayer, or another third-party source.
    Example: 58.70956379

  - `source_exchange` (string)
    **[Sender only]**
The source exchange where the sender originates the payment.
    Example: bitstamp

  - `destination_exchange` (string)
    **[Receiver only]**
The destination exchange for the payment.
    Example: independentreserve

  - `payment_method` (string)
    **[Sender only]**
Method for completing the payment. This is a freeform text field that accepts custom strings for payment methods, for example:
- CSM_ID_IDR
- MSISDN_ID_IDR
- CASHPICKUP_ID_IDR
- CARD_CN_CNY

Or you can use RippleNet payment method values:
- REAL_TIME_GROSS_SETTLEMENT_SYSTEM
- REAL_TIME_NET_SETTLEMENT_SYSTEM
- MASS_NET_PAYMENT_SYSTEM
- BOOK_TRANSFER
- CASH_PAYOUT
- WALLET_PAYMENT
- OTHER
    Example: CSM_TH_THB

  - `payment_state` (string)
    The state of a payment at the moment it is queried.
    Example: COMPLETED

  - `remitter_name` (string)
    Complete name of the person originating the payment.
**Note**: Values are only viewable by the customer requesting the report.

  - `remitter_account` (string)
    Account number at the sending institution for the payment remitter.
**Note**: Values are only viewable by the customer requesting the report.

  - `beneficiary_name` (string)
    Complete name of the person receiving the payment.
**Note**: Values are only viewable by the customer requesting the report.

  - `beneficiary_account` (string)
    Account number at the receiving institution for the payment beneficiary.
**Note**: Values are only viewable by the customer requesting the report.

  - `payment_batch_id` (string)
    Unique identifier for a batch of payments.
**Note**: This field is only populated for payments that are part of a batch.

  - `internal_payment_state` (string)
    **[Ripple internal]**
Ripple uses this information for troubleshooting purposes.
    Example: DONE

  - `transaction_id` (string)
    Unique identifier of the balance change between two accounts.
    Example: a557eb2d-abcd-1234-a9a0-fdb5b52aaa02

  - `transaction_type` (string)
    The type of transaction.
    Example: TRADE

  - `transaction_state` (string)
    The transaction state of the overall payment when it's queried.
    Example: COMPLETE

  - `venue_id` (string)
    The unique identifier associated with a transaction involving an exchange account. Sometimes it's called "exchange id" or "order id".
    Example: 8eef087a-abcd-1234-922d-e802b1126ea0

  - `source_result_amount` (number)
    Fiat amount before deduction of source exchange fee.

  - `source_result_adjusted_amount` (number)
    Fiat amount after deduction of source exchange fee.

  - `source_result_proceeds` (number)
    XRP amount after exchange of the `source_result_adjusted_amount` at the `source_exchange`.

  - `source_result_adjusted_proceeds` (number)
    XRP amount after deduction of the conversion fees from `source_result_proceeds`.

  - `withdrawal_result_id` (string)
    **[Sender only]**
Unique identifier for the withdrawal transaction at the `source_exchange`.
    Example: 2b325317-abcd-1234-9aa2-0d5eb2c3c0e1

  - `withdrawal_result_details_transaction_id` (string)
    XRP transaction hash if there is on-ledger movement.
    Example: 5b0a25b79595123d80dd27c0808fb554

  - `withdrawal_result_fee_amount` (number)
    **[Sender only]**
Withdrawal fee charged by the `source_exchange`. This is substracted from the total `withdrawal_result_amount`.

  - `withdrawal_result_incentive_value` (number)
    **[Sender only]**
The incentive value in XRP applied to `source_result_proceeds` to arrive at the `withdrawal_result_amount` value.

  - `deposit_result_id` (string)
    **[Receiver only]**
Unique identifier for the deposit at the `destination_exchange`.
    Example: 18700e69-1234-abcd-5678-cb17d5ccdbca

  - `deposit_result_amount` (number)
    **[Receiver only]**
The total amount of XRP deposited into the destination wallet. Must equal `withdrawal_result_amount`, minus negligible ledger fees.

  - `deposit_result_fee_amount` (number)
    **[Receiver only]**
Deposit fee charged in XRP by the `destination_exchange`.

  - `balance_change_currency` (string)
    The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code associated with the transaction account.
    Example: usd

  - `balance_change` (number)
    The change in account balance caused by the corresponding transaction.

  - `balance_result` (number)
    Account balance after the transaction.

  - `destination_result_id` (string)
    Unique identifier for the destination trade at the `destination_exchange`.
    Example: 2c3367d2-ab12-3456-78c9-d9edbf6bcbc5

  - `destination_result_amount` (number)
    **[Receiver only]**
The final XRP amount at destination wallet to be liquidated into received fiat currency.

  - `destination_result_adjusted_amount` (number)
    **[Receiver only]**
The final XRP amount at destination wallet to be liquidated including fees.

  - `destination_result_incentive_value` (number)
    The incentive value (XRP) to be added into the total `destination_result_amount`.

  - `destination_result_proceeds` (number)
    **[Receiver only]**
Amount of fiat currency received for payout without fee.

  - `destination_result_adjusted_proceeds` (number)
    Amount of fiat currency received for payout including fees.

  - `liquidation_status` (string)
    Reserved for future use.

  - `liquidation_trade_request_status` (string)
    Reserved for future use.

  - `execution_result_id` (string)
    The unique identifier of the execution result associated with failure conversion.

  - `execution_result_type` (string)
    The type of failure conversion transaction.

  - `execution_timestamp` (string)
    The timestamp for when the failure conversion transaction happened.

  - `fiat_adjusted_value` (number)

  - `fx_rate` (number)
    The foreign exchange rate associated with the failure conversion transaction.

  - `intermediary_delta` (number)

  - `transfer_currency` (string)
    The three-letter code of the currency associated with this transfer.

  - `ssa_account` (string)
    The SSA account name and address of the sender in `accountname@ripplenetaddress` format.

  - `ssa_remote_transfer_id` (string)
    The unique identifier of the SSA transfer from the SSA funding account to the SSA account.

  - `ssa_transfer_amount` (number)
    The SSA transfer amount.

  - `ssa_balance_change` (number)
    The change in SSA balance caused by the corresponding transaction.

  - `ssa_balance_result` (number)
    The SSA account balance after the transaction is complete.

  - `ssa_transfer_currency` (string)
    The three-letter code of the currency associated with this SSA transfer.

  - `ssa_transfer_state` (string)
    The state of the SSA transfer.

## Response 204:

  - `204` (unknown)
    The contents of the report are empty

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string, required)
    Example: https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1

  - `errorCode` (string, required)
    Example: RPT_1

  - `title` (string, required)
    Example: BAD_REQUEST

  - `detail` (string)
    Example: Required field missing

  - `time` (string, required)
    The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp.
    Example: 2018-04-06T20:33:35Z

## Response 200 examples:

  - `PaymentOpsReportResponse` (unknown)

  - `ReconReportResponse` (unknown)

  - `FailureConversionSsaReportResponse` (unknown)

